Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetUniform

Record whether a metric is uniform

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetUniform(DM dm, PetscBool uniform)

## Input Parameters

- dm - The `DM`

- uniform - Is the metric uniform?

## Note

If the metric is specified as uniform then it is assumed to be isotropic, too.

## See Also

`DMPLEX`, `DMPlexMetricIsUniform()`, `DMPlexMetricSetIsotropic()`, `DMPlexMetricSetRestrictAnisotropyFirst()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages